#!/bin/bash

set -e

sudo apt-get remove docker docker-engine docker.io containerd runc;

curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo gpg --dearmor -o /etc/apt/keyrings/docker.gpg;

echo \
  "deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/ubuntu \
  $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null;

sudo apt-get update;
sudo apt-get install -y docker-ce docker-ce-cli containerd.io docker-compose-plugin;